@charset "UTF-8";

* {
    margin: 0;
    padding: 0;
}

/* フォントの定義　ここから */

/* バンジー: CSSクラス（h1もじ）　ここから */
.bungee-regular {
  font-family: "Bungee", sans-serif;
  font-weight: 400;
  font-style: normal;
}
/* バンジー: CSSクラス　ここまで */

/* LXGWマーカーゴシック（なびもじ）　ここから */
.lxgw-marker-gothic-regular {
  font-family: "LXGW Marker Gothic", sans-serif;
  font-weight: 400;
  font-style: normal;
}
/* LXGWマーカーゴシック　ここまで */

/* M PLUS Rounded 1c: CSSクラス　ここから  */
/* 800だいじ　400　ほんぶん */
.m-plus-rounded-1c-regular {
  font-family: "M PLUS Rounded 1c", sans-serif;
  font-weight: 400;
  font-style: normal;
}
/* M PLUS Rounded 1c: CSSクラス　ここまで  */
/* LXGWマーカーゴシック　とっぷへもどる  ここから　*/
.lxgw-marker-gothic-regular {
  font-family: "LXGW Marker Gothic", sans-serif;
  font-weight: 400;
  font-style: normal;
}
/* LXGWマーカーゴシック　とっぷへもどる  ここまで　*/
/* Dela Gothic One: CSSクラス ここから */
.dela-gothic-one-regular {
  font-family: "Dela Gothic One", sans-serif;
  font-weight: 400;
  font-style: normal;
}
/* Dela Gothic One: CSSクラス ここまで */
/* フォントの定義　ここまで */

header {
/* グローバルナビの固定　ここから */
    position: fixed;
    top: 0;
    width: 98%;
/* グローバルナビの固定　ここまで */
    z-index: 100000;/* 流しアニメを貫通しないように前面に配置 */
    display: flex;
    margin-right: auto;
    margin-left: auto;
    width: 100%;
    background-color: rgb(249, 228, 131);
}

/* ろご＋会社名まーじ */
.rogo_marge {
    display: flex;
    width: 48%;
    text-align: center;
}

/* ろご画像 */
.rogoPh img {
    display: block;
    width: 80%;
    margin-top: 3%;
    margin-left: 30%;
    transition: 0.5s;
}

.rogoPh img:hover {
    background-image: url(../images/kamihubuki.png);
    background-repeat: no-repeat;
    animation: rotation 2s linear infinite;
    /* アニメーションの設定 */
    /* 回転の中心を要素の中心にする（デフォルトで中心だが明示） */
    cursor: pointer;
}

@keyframes rotation {
    0% {
    transform: rotate(0deg);
    }
    20% {
    transform: rotate(-20deg);
    }
    40% {
    transform: rotate(0deg);
    }
    80% {
    transform: rotate(20deg);
    }
    100% {
    transform: rotate(0deg);
    }
}

h1 {
    margin-top: 2%;
    margin-right: 15%;
    width: 200%;
    height: auto;
    line-height: 1;
    font-size: 150%;
    color: rgb(40, 4, 74);
    background-image: url(../images/mokomoko.png);
    /* 文字の白ククリ的な？ */
    text-shadow: 0px 0px 4px #fff;
    background-repeat: no-repeat;
    background-position: bottom center;
    padding: 0 2%;
}

h1 a {
    list-style-type: none;
    text-decoration: none;
    font-family: "Dela Gothic One", sans-serif;
    font-weight: 400;
}

h2 {
    display: flex;
    position: relative;
    font-family: "M PLUS Rounded 1c", sans-serif;
    font-weight: 800;
    text-align: center;
    justify-content: center;
    font-size: 3.5vw;
    padding-bottom: 3%;
    color: blue;
    width: 100%;
    padding-top: 8%;
}

/*●●●●●●●●●●●●　jQueryのハンバーガメニューのあらまし　ここから　●●●●●●●●●● */

nav.NavMenu{
	position: fixed;
	z-index: 2;/* ×ボタン押せないからちょっと優先度調整している */
	top: 0;
	right: 0;
	background: pink;
	color: #000;
	text-align: center;
	width: 40%;
    transform: translateX(200%);
    border-radius: 20px;

	transition: 1s;
}

nav.NavMenu ul{
	background-image: gray;
	width: 100%;
	margin: 0 auto;
	padding: 0;
}

nav.NavMenu ul li{
	font-size: 1.1em;
	list-style-type: none;
	padding: 0;
	width: 100%;
	border-bottom: 1px dotted #333;
}

nav.NavMenu ul li:last-child{
	padding-bottom: 0;
	border-bottom: none;
}

nav.NavMenu ul li a{
	display: block;
	color: #000;
	padding: 1em 0;
}


nav.NavMenu.active{
	transform: translateX(0%);
}

.Toggle {
	display: flex;
	position: fixed;
	right: 13px;
	top: 12px;
	width: 42px;
	height: 42px;
	cursor: pointer;
	z-index: 3;
}

.Toggle span {
	display: block;
	position: absolute;
	width: 30px;
	border-bottom: solid 3px #000;/* はんばーがのせんの太さなど */
	transition: .35s;/* ×からもどるために秒数もうけてる */
	left: 6px;
}

.Toggle span:nth-child(1) {
	top: 9px;
}

.Toggle span:nth-child(2) {
	top: 18px;
}

.Toggle span:nth-child(3) {
	top: 27px;
}

/* ×印のことをいっている */
.Toggle.active span:nth-child(1) {
	top: 18px;
	left: 6px;
	transform: rotate(-45deg);
}

.Toggle.active span:nth-child(2),
.Toggle.active span:nth-child(3) {
	top: 18px;
	transform: rotate(45deg);
}
/*●●●●●●●●●●●●　jQueryのハンバーガメニューのあらまし　ここまで　●●●●●●●●●● */

/* ●★●★●★●★　　作品集　ここから */
.sakuhin_marge {
    display: flex;
    margin-right: auto;
    margin-left: auto;
}

figure {
    width: 50%;
    padding: 4%;
}

figure a {
    text-decoration: none;
}

.work_house:hover {
    transform: scale(1.2);
    transition: 1s;
}

figcaption {
    padding: 2% 7%;
    text-align: left;
    background-color: rgb(232, 232, 232);
}

.work_house:hover:first-child {
    animation: rotation 2s linear infinite;
    cursor: pointer;
}

.sakuhinPh {
    justify-content: left;
    width: 60%;
    padding: 2% 0;
    margin-right: auto;
    margin-left: auto;
}

.sakuhinPh img {
    display: block;
    width: 100%;
}

.oukan img {
    display: block;
    width: 10%;
    padding: 2% 4%;
    justify-content: center;
    transform: rotate(-15deg);
}

.matorizu01Ph img {
    display: block;
    width: 100%;
}

.matorizu01Ph {
    width: 60%;
    margin-right: auto;
    margin-left: auto;
    padding-bottom: 2%;
}

.flex_Ph {
    display: flex;
    width: 60%;
    margin-right: auto;
    margin-left: auto;
    justify-content: flex-start;
}

.ph {
    width: 20%;
    padding: 1%;
    flex-grow: 1;
} 

.ph img {
    display: block;
    width: 100%;
}
/* ●★●★●★●★　　ますきんぐてーぷ　ていぎ　ここから */
.dot-pattern1 {
    display: block;
    position: relative;
    width: 50%;
    height: 2vh;
    background: #e8443f;
    background-image: radial-gradient(#fff 20%, transparent 0), radial-gradient(#fff 20%, transparent 0);
    background-position: 0 0, 10px 50px;
    background-size: 20px 20px;
    padding: 0.5em;
    transform: rotate(5deg);
    margin-top: 8%;
    margin-left: 22%;
    z-index: 100;
}
.dot-pattern2 {
    display: block;
    position: relative;
    width: 50%;
    height: 2vh;
    background: #017101;
    background-image: radial-gradient(#fff 20%, transparent 0), radial-gradient(#fff 20%, transparent 0);
    background-position: 0 0, 10px 50px;
    background-size: 20px 20px;
    padding: 0.5em;
    transform: rotate(5deg);
    margin-top: 8%;
    margin-left: 22%;
    z-index: 100;
}
.dot-patternX {
    display: block;
    position: relative;
    width: 50%;
    height: 2vh;
    background-position: 0 0, 10px 50px;
    background-size: 20px 20px;
    padding: 0.5em;
    transform: rotate(5deg);
    margin-top: 8%;
    margin-left: 22%;
    z-index: 100;
}
/* ●★●★●★●★　　ますきんぐてーぷ　ていぎ　ここまで */
/* ●★●★●★●★　　作品集　ここまで */


/* アバウト　ここから */
section ol {
  color: #668ad8; 
  border: double 5px #668ad8;/*二重線 太さ 色*/
  background: #f1f8ff; 
  padding: 0.5em 0.5em 0.5em 2em;
  width: 30%;
  margin-right: auto;
  margin-left: auto;
  margin-top: -2%;
  margin-bottom: 2%;
}

section ol li {
  line-height: 1.5;
  padding: 0.5em 0;
}

section p:nth-child(2) {
    line-height: 2;
}


.kaosyasinPh {
    width: 35%;
    margin-right: auto;
    margin-left: auto;
}

.kaosyasinPh img {
    display: block;
    width: 100%;
    border-radius: 20px;
    transition: 0.5s;
}

.kaosyasinPh:hover {
    transform: scale(1.1);
    transition: 0.5s;
}

/* ●★●★●★●★　　ますきんぐてーぷ　ていぎ　ここから */
.dot-pattern1 {
    display: none;
    position: relative;
    width: 50%;
    height: 2vh;
    background: #e8443f;
    background-image: radial-gradient(#fff 20%, transparent 0), radial-gradient(#fff 20%, transparent 0);
    background-position: 0 0, 10px 50px;
    background-size: 20px 20px;
    padding: 0.5em;
    transform: rotate(45deg);
    margin-top: -1%;
    margin-left: 12%;
    z-index: 100;
}
.dot-pattern2 {
    display: none;
    position: relative;
    width: 50%;
    height: 2vh;
    background: #e8443f;
    background-image: radial-gradient(#fff 20%, transparent 0), radial-gradient(#fff 20%, transparent 0);
    background-position: 0 0, 10px 50px;
    background-size: 20px 20px;
    padding: 0.5em;
    transform: rotate(-45deg);
    margin-top: -1%;
    margin-left: -50px;
    z-index: 100;
}
/* ●★●★●★●★　　ますきんぐてーぷ　ていぎ　ここまで */

.aisatu {
    display: block;
    width: 65%;
    margin-right: auto;
    margin-left: auto;
}


.aisatu p {
    text-align: left;
    line-height: 2;
    padding: 2% 0;
}

/* アバウト　ここまで */
/* めいん　ここから */
body {
    height: 100vh;
}

main {
    display: block;
    margin-top: -12%;
    background-image: url(../images/nenrin.jpg);
    background-size: cover;/* coverはmain領域に当てはめてね */
    background-position: center;
    top: 0;
    /* ↓画像を半透明にするの　ここから */
    /* 半透明の白をブレンドしてかぶせる */
    background-color: rgba(255,255,255,0.6);
    background-blend-mode: lighten;
    /* ↑画像を半透明にするの　ここまで */
    background-attachment: fixed; /* これで固定される */
    height: 420vh;
}

/* アクセス　ここから */

/* ぐーぐるまっぷについて */
iframe {
    display: block;/* 自由に動ける */
    width: 60%;
    margin-top: 3%;
    margin-right: auto;
    margin-left: auto;
}

main section ul  {
    width: 39%;
    margin-right: auto;
    margin-left: auto;
}

main section ul li {
    line-height: 2;
}


.tizu {
    display: block;
    width: 100%;
    height: 40%;
    margin-right: auto;
    margin-left: auto;
}

.tizu ul li {
    padding: 0 4%;
    margin-top: 5%;
}

.tennaiPh {
    width: 45%;
    margin-right: auto;
    margin-left: auto;
    padding-bottom: 3%;
}

.tennaiPh img {
    display: block;
    width: 100%;
}

/* 表とform ここから */
table {
    margin-right: auto;
    margin-left: auto;
}

table th {
    width: 20%;
    margin-left: 3%;
    padding: 1%;
    text-align: right;
}

table td {
    width: 40%;
    height: 20%;
    padding: 1%;
    text-align: left;
}

textarea {
    width: 80%;
    height: 20vh;
}

.sousin {
    text-align: center;
}

#name {
    width: 50%;
    height: 4vh;
}
#address {
    width: 80%;
    height: 4vh;
}
#tel {
    width: 50%;
    height: 4vh;
}
#mail {
    width: 80%;
    height: 4vh;
}
.sousin {
    width: 20%;
    margin-right: auto;
    margin-left: auto;
}
/* 表とform ここまで */
.submit-btn {
  /* 1. デフォルトスタイルの解除 */
  appearance: none;
  -webkit-appearance: none;
  border: none;
  cursor: pointer;

  /* 2. 基本デザイン（色・形・サイズ） */
  display: inline-block;
  padding: 12px 40px;
  background-color: #ff0000; 
  color: #fff;
  font-size: 23px;
  font-weight: bold;
  border-radius: 25px; /* 角を丸くする */
  transition: 1s; /* 変化をなめらかに */
}

/* 3. マウスを乗せた（ホバー）時の変化 */
.submit-btn:hover {
  background-color: #0056b3; /* 濃い青色 */
  transform: translateY(-2px); /* 少し上に浮かす */
  box-shadow: 0 4px 10px rgba(0,0,0,0.2); /* 影をつける */
  transition: 1s;
}

/* アクセス　ここまで */

/* あにめーしょん処理　ここから */
.slideshow {
  position: relative;
  max-width: 100%;
  height: 100vh;
  overflow: hidden;
}

/* 全ての画像を絶対配置で重ねる */
.slideshow img {
  position: absolute;
  top: 11%;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover; /* 画像の比率を維持して収める */
  opacity: 0;        /* 初期状態は透明 */
  animation: fade 20s  infinite linear; /* アニメーションを無限ループ */
}

/* 各画像の開始タイミングをずらす */
.slideshow img:nth-child(1) { animation-delay: 0s; }
.slideshow img:nth-child(2) { animation-delay: 5s; }
.slideshow img:nth-child(3) { animation-delay: 10s; }
.slideshow img:nth-child(4) { animation-delay: 15s; }
.slideshow img:nth-child(5) { animation-delay: 20s; }

/* アニメーションの定義：不透明度を変化させる */
@keyframes fade {
  0% { opacity: 0; }
  10% { opacity: 1; } /* フェードイン */
  33% { opacity: 1; } /* 表示 */
  43% { opacity: 0; } /* フェードアウト */
  100% { opacity: 0; }
}
/* あにめーしょん処理　ここまで */

/* アニメの上に文字がくる　ここから */
.anime_title {
    position: relative;
    width: 50%;
    margin-top: -60%;
    margin-left: 5%;
    padding: 1%;
    font-size: 2vw;
    font-family: "M PLUS Rounded 1c", sans-serif;
    font-weight: 800;
    text-align: center;
    /* 文字の白ククリ的な？ */
    text-shadow: 0px 0px 2px #fff;
    /* ↓画像を半透明にするの　ここから */
    /* 半透明の白をブレンドしてかぶせる */
    background-color: rgba(255,255,255,0.6);
    background-blend-mode: lighten;
    /* ↑画像を半透明にするの　ここまで */
    z-index: 1000;
}

.anime_titleII {
    position: relative;
    width: 37%;
    margin-top: 1%;
    margin-left: 10%;
    padding: 1%;
    font-size: 2vw;
    font-family: "M PLUS Rounded 1c", sans-serif;
    font-weight: 800;
    text-align: center;
    /* 文字の白ククリ的な？ */
    text-shadow: 0px 0px 2px #fff;
    /* ↓画像を半透明にするの　ここから */
    /* 半透明の白をブレンドしてかぶせる */
    background-color: rgba(255,255,255,0.6);
    background-blend-mode: lighten;
    /* ↑画像を半透明にするの　ここまで */
    z-index: 1000;
}

.anime_titleIII {
    display: flex;
    position: relative;
    width: 50%;
    margin-top: 4%;
    margin-left: 38%;
    padding: 1%;
    font-size: 2vw;
    font-family: "M PLUS Rounded 1c", sans-serif;
    font-weight: 800;
    /* 文字の白ククリ的な？ */
    text-shadow: 0px 0px 2px #fff;
    text-align: center;
    /* ↓画像を半透明にするの　ここから */
    /* 半透明の白をブレンドしてかぶせる */
    background-color: rgba(255,255,255,0.6);
    background-blend-mode: lighten;
    /* ↑画像を半透明にするの　ここまで */
    text-align: center;
    z-index: 1000;
}

.oukanPh img {
    display: block;
    width: 80%;
    margin-top: 2%;
    padding-left: 9%;
}

.anime_titleIII p {
    width: 60%;
    line-height: 1.6;
    margin-top: 2%;
    white-space: pre-wrap;
}
/* アニメの上に文字がくる　ここまで */

section:first-child {
    padding-top: 28%;
    margin-bottom: 4%;
    top: 0;
}


p {
    width: 90%;
    font-size: 100%;
    color: #202020;
    font-family: "M PLUS Rounded 1c", sans-serif;
    font-weight: 400;
    letter-spacing: 0.1em;/* 適切な文字間 */
    text-align: justify;/* おしりそろえ */
    line-height: 2;
    margin-right: auto;
    margin-left: auto;
    white-space: pre-wrap;
    padding-bottom: 5%;
} 

span {
    margin-right: 1em;
}

ul {
    margin-left: 20px;
    list-style-type: disc;
    list-style-position: outside;
}

ul li {
    margin-bottom: 2%;
}

ul li p {
    width: 100%;
    text-align: left;
}

.PhBox {
    width: 55%;
    margin-bottom: 2%;
    margin-right: auto;
    margin-left: auto;
}

.PhBox img {
    border-radius: 20px;/* 写真のよつかどを角丸にする */
    width: 100%;
}

strong {
    color: red;
    font-size: 130%;
    margin-top: 3%;
    margin-bottom: 3%;
}

section p {
    text-align: center;
    padding-bottom: 4%;
}

section ul {
    display: block;
    width: 45%;
    margin: 0;
    padding: 0;
    text-align: center;
    margin-right: auto;
    margin-left: auto;
}

section ul li {
    list-style-type: none;
    border-bottom: 1px dotted blue;
}

section ul li a {
    text-align: left;
    background-color: rebeccapurple;
}

aside {
    position: fixed;
    bottom: 2%;
    right: 1%;
    width: 100%; /* 幅を画面いっぱいに */
}

/* ----------　自動で絵が動く　ここから　---------------------------- */
/* アニメーションさせたい画像に適用 */
.rogo_aniPh {
    vertical-align: middle; /* テキストとの位置合わせ */
    animation: up-down 2s ease-in-out infinite alternate;
    width: 10%;
}

.rogo_aniPh img {
    display: block;
    position: sticky;
    width: 100%;
}

/* 動きの定義 */
@keyframes up-down {
  0% {
    transform: translateY(0); /* 開始位置 */
  }
  100% {
    transform: translateY(-20%); /* 上に20px移動 */
  }
}
/* ----------　自動で絵が動く　ここまで　---------------------------- */

.button_top {
    /* ボタンの色と文字の色とサイズ */
    background-color: blue;
    color: white;
    font-size: 16px;
    text-shadow: 0 0 2px #fff;

    /* ボタンのサイズと角丸 */
    clip-path: polygon(100% 42%, 76% 42%, 75% 100%, 20% 100%, 21% 41%, 0 41%, 49% 0);
    width: 80px;
    height: 80px;
    border-radius: 50%;

    /* 次に作る上向きの三角と、TOPの文字の位置を揃えるためのcss */
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row-reverse;
    margin-left: auto;
    transition: 1s;
}

.button_top:hover {
    transition: 1s;
    transform: translateY(-10px);
    background-color: red;
}

.fixed a {
    text-decoration: none;
}
/* めいん　ここまで */

/* ふったー　ここから */
footer {
    display: block;
    width: 100;
    background-color: rgb(249, 228, 131);
    height: 20vh;
    overflow: hidden;
}

footer ul {
    display: flex;
    width: 100%;
    height: 4vh;
    justify-content: center;
    list-style-type: none;/* マーカー打ち消し */
    background-color: rgb(249, 241, 182);
    margin-right: auto;
    margin-left: auto;
    gap: 4%; /* ふったーの項目間をあける */
}

footer ul li a {
    text-decoration: none;/* 下線打ち消し */
}

footer address {
    width: 50%;
    height: 4vh;
    padding: 0;
    margin-right: auto;
    margin-left: auto;
}



footer address p {
    padding-bottom: 0.5vh;
    font-size: 75%;
}

footer small {
    display: block;
    text-align: center;
    margin-right: auto;
    margin-left: auto;
    margin-top: 46px;
    width: 100%;/* 動ける範囲を最大にする */
    font-size: 75%;
}
/* ふったー　ここまで */